// app.js
import { cEvent } from './utils/event.js'
const Promise = require('lib/bluebird')
var utils = require('utils/util.js')
var wxService = require('utils/wxService')
const envInfo = require('config/index').envInfo

App({
  onLaunch: function (e) {
   
  },
  onShow: function (options = {}) {
    // 是不是第一次进入小程序
    const baseUserInfo = wx.getStorageSync('_baseUserInfo')
    if (baseUserInfo) {
     // wxService.getUserInfo()
    }
  },
  onHide: function () {
    this.globalData.loginFirst = false
  },

  

  getUserInfo() {
    return new Promise((resolve, reject) => {
      const _baseUserInfo = wx.getStorageSync('_baseUserInfo')
      if (_baseUserInfo) {
        resolve(_baseUserInfo)
      } else {
        reject('_baseUserInfo is null')
      }
    })
  },
  globalData: {
    userInfo: null,
    userBaseInfo: null, // openid
    systemInfo: wx.getSystemInfoSync(),
    ctx: envInfo.ctx,
    openCard: false,
    userNo: null,
    storeId: '',
    storeName: '',
    loginFirst: false,
    imageUrl:"" //图片地址
  }
})
