// pages/coupons.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    couponDetailTitle: '',
  },
 
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    const {title,cardno} = this.options
    this.setData({
      couponDetailTitle: title
    })
    this.getCouponDetail(cardno)
  },

  //  查询单个优惠券
  getCouponDetail(cardno){
    wx.showLoading({
      title: '加载中'
    })

    wxService.post(`/coupon/coupon/get?cardNo=${cardno}`).then(res => {
      const {result,data} = res.data
      if(result == 0){
         wx.hideLoading()
        console.log('dddd',data)
      } else {
        wx.hideLoading()
        wx.showToast({
          title: `${res.desc}`,
          icon: 'none'
        })
      }
    }).finally(() => {

    })
  }

})