// pages/userCenter.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    sexArray:[
      {
        id:'1',
        name:'女'
      },{
        id:'2',
        name:'男'
      }
    ],
    sexIndex:0,
    date:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  //性别选择
  bindSexChange(e){
    this.setData({
      sexIndex: e.detail.value
    })
  },

  //日期选择
  bindDateChange(e) {
    this.setData({
      date: e.detail.value
    })
  },
})